Bug 1279647 - PartitionException: Unable to satisfy all constraints on the partition. [NEEDINFO]
PartitionException: Unable to satisfy all constraints on the partition.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:0a0f294ee2bf0d04fe3e8f56b02...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 18:24 EST by abd rahim
Modified: 2015-12-01 09:17 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 09:17:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dshea: needinfo? (abdulr5391)


Attachments (Terms of Use)
File: anaconda-tb (790.87 KB, text/plain)
2015-11-09 18:24 EST, abd rahim
no flags Details
File: anaconda.log (19.64 KB, text/plain)
2015-11-09 18:24 EST, abd rahim
no flags Details
File: environ (691 bytes, text/plain)
2015-11-09 18:24 EST, abd rahim
no flags Details
File: journalctl (372.99 KB, text/plain)
2015-11-09 18:25 EST, abd rahim
no flags Details
File: lsblk_output (3.25 KB, text/plain)
2015-11-09 18:25 EST, abd rahim
no flags Details
File: nmcli_dev_list (1.53 KB, text/plain)
2015-11-09 18:25 EST, abd rahim
no flags Details
File: os_info (500 bytes, text/plain)
2015-11-09 18:25 EST, abd rahim
no flags Details
File: program.log (97.31 KB, text/plain)
2015-11-09 18:25 EST, abd rahim
no flags Details
File: storage.log (217.79 KB, text/plain)
2015-11-09 18:25 EST, abd rahim
no flags Details
File: ifcfg.log (2.27 KB, text/plain)
2015-11-09 18:25 EST, abd rahim
no flags Details

  None (edit)
Description abd rahim 2015-11-09 18:24:09 EST
Description of problem:
problem started with hdd partition. try to increase space and format then it appear fail prompt

Version-Release number of selected component:
anaconda-core-22.20.13-1.fc22.x86_64

The following was filed automatically by anaconda:
anaconda 22.20.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/parted/disk.py", line 248, in addPartition
    constraint.getPedConstraint())
  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 41, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 1740, in growPartitions
    constraint=constraint)
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 516, in doPartitioning
    growPartitions(disks, partitions, free, size_sets=storage.size_sets)
  File "/usr/lib/python2.7/site-packages/blivet/autopart.py", line 473, in doAutoPartition
    doPartitioning(storage)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 340, in execute
    doAutoPartition(storage, ksdata, min_luks_entropy=MIN_CREATE_ENTROPY)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 2121, in doKickstartStorage
    ksdata.autopart.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 333, in _doExecute
    doKickstartStorage(self.storage, self.data, self.instclass)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 244, in run
    threading.Thread.run(self, *args, **kwargs)
PartitionException: Unable to satisfy all constraints on the partition.

Additional info:
cmdline:        /usr/bin/python2  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-22-3 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.0.4-301.fc22.x86_64
other involved packages: pyparted-3.10.3-1.fc22.x86_64, anaconda-gui-22.20.13-1.fc22.x86_64, python-libs-2.7.9-6.fc22.x86_64, python-blivet-1.0.9-1.fc22.noarch
product:        Fedora
release:        Fedora release 22 (Twenty Two)
type:           anaconda
version:        22
Comment 1 abd rahim 2015-11-09 18:24:50 EST
Created attachment 1091985 [details]
File: anaconda-tb
Comment 2 abd rahim 2015-11-09 18:24:52 EST
Created attachment 1091986 [details]
File: anaconda.log
Comment 3 abd rahim 2015-11-09 18:24:54 EST
Created attachment 1091987 [details]
File: environ
Comment 4 abd rahim 2015-11-09 18:25:13 EST
Created attachment 1091988 [details]
File: journalctl
Comment 5 abd rahim 2015-11-09 18:25:15 EST
Created attachment 1091989 [details]
File: lsblk_output
Comment 6 abd rahim 2015-11-09 18:25:17 EST
Created attachment 1091990 [details]
File: nmcli_dev_list
Comment 7 abd rahim 2015-11-09 18:25:19 EST
Created attachment 1091991 [details]
File: os_info
Comment 8 abd rahim 2015-11-09 18:25:26 EST
Created attachment 1091992 [details]
File: program.log
Comment 9 abd rahim 2015-11-09 18:25:37 EST
Created attachment 1091993 [details]
File: storage.log
Comment 10 abd rahim 2015-11-09 18:25:39 EST
Created attachment 1091994 [details]
File: ifcfg.log
Comment 11 David Shea 2015-11-10 09:03:10 EST
Does this problem also occur with Fedora 23? Several changes have made to the storage code since then.

Note You need to log in before you can comment on or make changes to this bug.